// wangjiankun 根据日期范围返回以日为单位的数组
// 根据字符串时间范围返回 开始日期至结束日期数组 以天为单位
// start 开始日期 如 '2020/07/13'
// end 结束日期 如 '2020/08/31'
// split 分隔符 '-' '/' 日期格式中的分隔符
export function getBetweenDateStr(start, end, split) {
  if (!split || !start || !end) { return [] }
  const startTime = new Date(start)
  const endTime = new Date(end)
  var date_all = []
  var i = 0
  while ((endTime.getTime() - startTime.getTime()) >= 0) {
    var year = startTime.getFullYear()
    var month = startTime.getMonth() + 1
    var day = startTime.getDate()
    // date_all[i] = year + split + month + split + day
    date_all[i] = year + split + (month < 10 ? '0' + month : month) + split + (day < 10 ? '0' + day : day)
    startTime.setDate(startTime.getDate() + 1)
    i += 1
  }
  return date_all
}
// 根据日期返回相隔天数
export function getDaysByDateRange(start, end) {
  var startDate = Date.parse(start)
  var endDate = Date.parse(end)
  var days = (endDate - startDate) / (1 * 24 * 60 * 60 * 1000)
  return days
}
