export class Storage {
  #store = null
  constructor(store) {
    if(Object.prototype.toString.call(store) !== '[object Storage]') {
      throw new Error('必须为Storage构造函数')
    }
    this.#store = store
  }

  #useStore = () => {
    return this.#store
  }

  set = (key, data) => {
    this.#store.setItem(key, data)
  }

  get = (key) => {
    return this.#store.getItem(key)
  }

  remove = (key) => {
    if(!key) this.#store.clear()
    else this.#store.removeItem(key)
  }
}

export const Store = new Storage(sessionStorage)
